// Werte vom Server holen
// Übergabe: myURL : dahin geht der Ajax-Call
//	     cmd   : Kommando als String
//           param : weiterer Parameter, abh. von Kommando
function doAjaxCall(myURL,cmd, param, answerFunktion)
{
  var myData = { cmd: "0" , params: "0"};

  myData["cmd"] = cmd;
  myData["params"] = param;
  
  $.ajax(                          // AJAX-Call
  {   
  
    type: "POST",                  // wir machen eine POST - Abfrage
    url: myURL,			           // an diese Seite auf dem Server
    data: myData,                  // mit diesen Daten (ein Array)
    success : function(erg){       // wenn Erfolg, dann 
      if(erg.charAt(0)=='#')       // DEBUG-Meldungen ..
      {
        alert(erg);                // .. ausgeben und ..
        erg = erg.substr(erg.lastIndexOf('#')+2); // .. wegblenden
      }
//      console.log(">" + erg + "<");
	if(typeof answerFunktion === 'function')
      		answerFunktion(erg); // Antwort auswerten und weiterverarbeiten
    },
    error: function(xh,t) {        // wenn Error, dann eine Alertbox hinmalen
      alert("xh=" + JSON.stringify(xh) + "  t=" + t + xh.getAllResponseHeaders() + "\na) " + xh.responseText + "\nb) " + xh.statusText);
    },
  });
}

// Werte vom Server holen
// Übergabe: myURL : dahin geht der Ajax-Call
//	     arr   : Array mit den Kommandos / Daten
//           answeFunktion: Funktion, die nach Erfolg ausgeführt wird
//
function doAjaxCall_arr(myURL,arr, answerFunktion)
{
  $.ajax(                          // AJAX-Call
  {   
  
    type: "POST",                  // wir machen eine POST - Abfrage
    url: myURL,			           // an diese Seite auf dem Server
    data: arr,                  // mit diesen Daten (ein Array)
    success : function(erg){       // wenn Erfolg, dann 
      if(erg.charAt(0)=='#')       // DEBUG-Meldungen ..
      {
        alert(erg);                // .. ausgeben und ..
        erg = erg.substr(erg.lastIndexOf('#')+2); // .. wegblenden
      }
//      console.log(">" + JSON.stringify(erg) + "<");
	if(answerFunktion)
      		answerFunktion(erg); // Antwort auswerten und weiterverarbeiten
    },
    error: function(xh,t) {        // wenn Error, dann eine Alertbox hinmalen
//      alert("xh=" + JSON.stringify(xh) + "  t=" + t + xh.getAllResponseHeaders() + "\na) " + xh.responseText + "\nb) " + xh.statusText);
      console.log("xh=" + JSON.stringify(xh) + "  t=" + t + xh.getAllResponseHeaders() + "\na) " + xh.responseText + "\nb) " + xh.statusText);
    },
  });
}

